-- FirstStage generated output file
require( "scripts/style.lua" );

SetDefaultStyle( DefaultStyle );

local ok="ok" ;	
local okname="OK";
local name="okbox";

local Dialogname = "okboxwindow";
	
if (gDialogTable.oklabel) then
	ok = gDialogTable.oklabel ;
end

if (gDialogTable.name) then
	name = gDialogTable.name;
end

if (gDialogTable.okname) then
	okname = gDialogTable.okname;
end

if(gDialogTable.Dialogname) then
	Dialogname = gDialogTable.Dialogname;
end

local okcommand = gDialogTable.okcommand;

d = MediumDialog

MakeDialog
{
	Bitmap
	{
			image = "backgrounds/speedmenu",
			x = kCenter,
			y = kCenter,

      Dialog
      {
        name = Dialogname,
        x = 0,
        y = 0,
        w = kMax,
        h = kMax,
		
		bodytext = gDialogTable.body,
  			SetStyle(OptionsValidationButtonStyle),
  			Button
  			{
  				close = true,
  				flags = 5,
  				label=ok,
  				name = okname,
  				x = kCenter,
  				y = kMax-90,
  				command=okcommand
  			},
  			SetStyle( DialogTitleText ),
  			Text{ label=gDialogTable.title },
  			SetStyle( DialogBodyText ),
  			Text{ name = "body", label=gDialogTable.body },
      }
	};

} -- MakeDialog

gDialogTable = {}
